Bug 1415158 - ipa-ca-install fails on replica when IPA server is converted from CA-less to CA-full
Summary: ipa-ca-install fails on replica when IPA server is converted from CA-less to ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
Marc Muehlfeld
URL:
Whiteboard:
Depends On: 1358752
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 12:28 UTC by Jaroslav Reznik
Modified: 2017-03-02 17:26 UTC (History)
13 users (show)

Fixed In Version: ipa-4.4.0-9.el7
Doc Type: Bug Fix
Doc Text:
Previously, when installing a certificate authority (CA) on a replica, Identity Management (IdM) was unable to provide third-party CA certificates to the Certificate System CA installer. As a consequence, the installer was unable to connect to the remote master if the remote master used a third-party server certificate, and the installation failed. This updates applies a patch and as a result, installing a CA replica works as expected in the described situation.
Clone Of: 1358752
Environment:
Last Closed: 2017-03-02 17:26:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
console.log (17.51 KB, text/plain)
2017-02-01 17:34 UTC, Abhijeet Kasurde
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0388 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2017-03-02 22:06:32 UTC

Description Jaroslav Reznik 2017-01-20 12:28:37 UTC
This bug has been copied from bug #1358752 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 3 Petr Vobornik 2017-01-20 17:46:10 UTC
code is already in ipa-4.4.0-9.el7

Comment 5 Abhijeet Kasurde 2017-02-01 17:34:24 UTC
Created attachment 1246755 [details]
console.log

Comment 6 Abhijeet Kasurde 2017-02-01 17:35:27 UTC
Verified using IPA version ::
ipa-server-4.4.0-14.el7_3.6.x86_64

Marking BZ as verified, please see attachment for console log.

Comment 10 errata-xmlrpc 2017-03-02 17:26:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0388.html


Note You need to log in before you can comment on or make changes to this bug.